Subject: Re: Mercurial 0.4b vs git patchbomb benchmark

From: Andrea Arcangeli <[email-masked]>
Date: Sat, 30 Apr 2005 18:37:24 +0200

On Sat, Apr 30, 2005 at 08:20:15AM -0700, Matt Mackall wrote:
> Most of that psyco speed up is accelerating subsequent diffs in
> difflib, which you probably didn't hit yet.

Correct. Plus I've a 64bit python so I can't use psyco anyway.

> I can make it some sort of environment variable, sure. I think the
> speed is already in a domain where it's not a big deal though. There

No big deal of course, I mentioned it just because it was by far the
most CPU userland intensive operation during checkin. Perhaps doing less
vfs syscalls would improve checkin time too, but I'm unsure if that's
easily feasible (while disabling compression was certainly easy ;)

> Yep, I'm rather new to actually packaging my Python hacks.

I sent you by private email a modified package that gets that right.

Thanks!